address.c File Reference
`#include "coap3/coap_internal.h"`
Include dependency graph for address.c:

Go to the source code of this file.

## Functions

uint16_t | coap_address_get_port (const coap_address_t *addr)
| Returns the port from `addr` in host byte order. More...
void | coap_address_set_port (coap_address_t *addr, uint16_t port)
| Set the port field of `addr` to `port` (in host byte order). More...
int | coap_address_equals (const coap_address_t *a, const coap_address_t *b)
| Compares given address objects `a` and `b`. More...
int | coap_is_mcast (const coap_address_t *a)
| Checks if given address `a` denotes a multicast address. More...
void | coap_address_init (coap_address_t *addr)
| Resets the given coap_address_t object `addr` to its default values. More...

## Function Documentation

## coap_address_equals()

int coap_address_equals | ( | const coap_address_t * | a,
|  | const coap_address_t * | b
| ) |  |

Compares given address objects `a` and `b`.

This function returns `1` if addresses are equal, `0` otherwise. The parameters `a` and `b` must not be `NULL`;

Definition at line 60 of file address.c.

Here is the caller graph for this function:

## coap_address_get_port()

uint16_t coap_address_get_port | ( | const coap_address_t * | addr | ) |

Returns the port from `addr` in host byte order.

Definition at line 33 of file address.c.

Here is the caller graph for this function:

## coap_address_init()

void coap_address_init | ( | coap_address_t * | addr | ) |

Resets the given coap_address_t object `addr` to its default values.

In particular, the member size must be initialized to the available size for storing addresses.

Parameters

  addr | The coap_address_t object to initialize.

Definition at line 102 of file address.c.

Here is the caller graph for this function:

## coap_address_set_port()

void coap_address_set_port | ( | coap_address_t * | addr,
|  | uint16_t | port
| ) |  |

Set the port field of `addr` to `port` (in host byte order).

Definition at line 45 of file address.c.

## coap_is_mcast()

int coap_is_mcast | ( | const coap_address_t * | a | ) |

Checks if given address `a` denotes a multicast address.

This function returns `1` if `a` is multicast, `0` otherwise.

Definition at line 83 of file address.c.

Here is the caller graph for this function: